{ pkgs, config, ... }:
{
  sops.secrets."cache-secret" = {
    sopsFile = ../../secrets/nix-cache01/cache-secret;
    format = "binary";
  };
  services.nix-serve = {
    enable = true;
    package = pkgs.nix-serve-ng;
    secretKeyFile = config.sops.secrets.cache-secret.path;
  };
}
